#!/bin/bash

if [ "$#" -lt 2 ]
then
    echo "Usage: Verify.bash MESSAGE SIGNATURE_FILE"
    echo "NOTE: signature file is overwritten!"
    exit
fi

echo -n  $1 | sha256sum | cut -c 1-12 | openssl rsautl -sign -inkey private.pem > $2

